Bug 638521 - Live Installer under QEMU failed with trace: KeyError: 'ID_SERIAL_SHORT'
Live Installer under QEMU failed with trace: KeyError: 'ID_SERIAL_SHORT'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
anaconda_trace_hash:2ecebeb4b6a97d6e6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-29 05:04 EDT by Yann Droneaud
Modified: 2012-08-16 17:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:17:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (72.03 KB, text/plain)
2010-09-29 05:04 EDT, Yann Droneaud
no flags Details

  None (edit)
Description Yann Droneaud 2010-09-29 05:04:54 EDT
The following was filed automatically by anaconda:
anaconda 14.17.4 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 3148, in setupIdentity
    self._identity_short = self._info['ID_SERIAL_SHORT']
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 3130, in __init__
    self.setupIdentity()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1661, in handleMultipathMemberFormat
    mp = MultipathDevice(name, info, parents=[device])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1833, in handleUdevDeviceFormat
    self.handleMultipathMemberFormat(info, device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1300, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1955, in populate
    self.addUdevDevice(dev)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 400, in reset
    self.devicetree.populate()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 117, in storageInitialize
    storage.reset()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 212, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 131, in gotoNext
    self.moveStep()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1262, in setScreen
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1175, in nextClicked
    self.setScreen ()
KeyError: 'ID_SERIAL_SHORT'
Comment 1 Yann Droneaud 2010-09-29 05:04:59 EDT
Created attachment 450415 [details]
Attached traceback automatically from anaconda.
Comment 2 Yann Droneaud 2010-09-29 05:12:40 EDT
I've used Fedora-14-Beta-x86_64-Live.iso in KVM with 4 virtual SCSI drives

$ kvm --help
QEMU PC emulator version 0.9.1 (kvm-84), Copyright (c) 2003-2008 Fabrice Bellard

$ kvm -drive file=sda,if=scsi,bus=0,unit=0,boot=on -drive file=sdb,if=scsi,bus=1,unit=0 -drive file=sdc,if=scsi,bus=2,unit=0 -drive file=sdd,if=scsi,bus=3,unit=0 -cdrom Fedora-14-Beta-x86_64-Live.iso -k fr -m 1024

I've launched the live installer which seems to fail while probing basic storage devices.
Comment 3 Yann Droneaud 2010-09-29 05:15:58 EDT
Seems to be related to bug #553000
Comment 4 Chris Lumens 2010-09-29 09:24:01 EDT
We've had this problem with virtual devices before, I think.  ID_SERIAL_SHORT (and other things like it) are used quite extensively in anaconda's storage code so it would really help if those were always available.
Comment 5 Yann Droneaud 2010-09-29 10:29:37 EDT
It's make difficult to test Fedora 14 installation regarding sotfware RAID, which is something like a blocker for my usage.
Comment 7 Fedora Admin XMLRPC Client 2011-10-20 12:10:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-10-20 12:11:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-10-20 12:14:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2012-08-16 17:17:27 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.